//Colours
$green: #2ecc71;
$red: #e74c3c;


.btn h1 { 
  color: $green; font-size: 4rem; text-transform: uppercase; display: block; width: 100%; text-align: center;
  @media screen and (max-width: 600px) { font-size: 3rem; }
} 

// Basic Button Style
.btn {
  box-sizing: border-box;
  appearance: none;
  background-color: transparent;
  border: 2px solid $green;
  border-radius: 0.6em;
  color: black;
  cursor: pointer;
  display: flex;
  align-self: center;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1;
  margin: 20px;
  padding: 1.2em 2.8em;
  text-decoration: none;
  text-align: center;
  text-transform: uppercase;
  font-family: 'Montserrat', sans-serif;
  font-weight: 700;
  &:hover,
  &:focus {
    color: #fff;
    outline: 0;
  }
}

// BUTTON 4
.styling {
  border-color: #2ecc71;
  color: black;
  background: {
    image: linear-gradient(45deg,#2ecc71 50%, transparent 50%);
    position: 100%;
    size: 400%;
  }
  transition: background 300ms ease-in-out;
  
  &:hover {
    background-position: 0;
  }
}
